Subject: Re: Status codes

From: Michael Mealling <[email-masked]>
Date: Fri, 16 Jun 2000 15:03:46 -0400

On Fri, Jun 16, 2000 at 11:53:14AM -0700, Nicolas Popp wrote:
> >This one needs a correlating error in 400 level codes....
>
> Maybe not. I think that it can be rolled within 4.1.0. My gut feel was that
> only the instance where the server ignores some element of the query but
> still returns some results seems seems an important special case to deserve
> its own code ...On the other hand, if you feel strongly about it...

Hmm...then which code do I use for when the client sends something
that doesn't conform to the DTD?

-MM

--
--------------------------------------------------------------------------------
Michael Mealling        |      Vote Libertarian!       | www.rwhois.net/michael
Sr. Research Engineer   |   www.ga.lp.org/gwinnett     | ICQ#:         14198821
Network Solutions       |          www.lp.org          |  [email-masked]

---

From: Nicolas Popp <[email-masked]>
Date: Fri, 16 Jun 2000 11:53:14 -0700

>Essentially everything stays the same except that anything not
>related to the service is put into one section....

+ everything related to query, properties and XML is consolidated into one
section as well.

>Umm....This one doesn't make sense. Are you saying that a query
>caused the server to never be available ever again?

The only thing I could think of is that the server knew that the query was
imperfect but tried to process it and because of that the server is now in a
bad state. Obviously, that sounds a very obscur thing that can be rolled
into 4.2.2. So, I agree with you, get rid of it...

-Nico

-----Original Message-----
From: Michael Mealling [mailto:[email-masked]]
Sent: Friday, June 16, 2000 5:33 AM
To: Nicolas Popp
Cc: [email-masked]
Subject: Re: Status codes

On Wed, Jun 14, 2000 at 05:29:54PM -0700, Nicolas Popp wrote:
> Here is the simplified proposal for status codes:

A few comments....

> The top level codes denote levels of severity of the status:
>
> <snip>

Essentially everything stays the same except that anything not
related to the service is put into one section....

> ---------------------------------------------------------------------
>
> APPENDIX B:
>
> B.1 Level 1 (Informative) Codes
>
> <no real changes>
>
> B.2 Level 2 (Success) Codes
>
> <no real changes>
>
> B.3 Level 3 (Partial Success) Codes
>
>    3.1.2 - The XML was well formed but invalid
>         The XML sent by the client was well formed but invalid.
>       Nevertheless, the server tried to interpret the query and
> returned some results that may be incomplete.

> B.4 Level 4 (Persistent Transient Failure) Codes
>
>    4.0.0 -- Something undefined caused a persistent transient failure
>    4.1.0 -- An error in the query caused a persistent transient failure
>    4.2.0 -- A service error caused a persistent transient failure
>    4.2.1 -- This server is too busy
>       Due to resource constraints, this particular server was too busy
>       to handle the query. It is very appropriate to attempt to send
>       the query to other servers who are cooperating in providing the
>       service.
>    4.2.2 - This server is in maintenance.
> This server is now in maintenance mode. Try another server from
> this service or try again at a later time.

I'd add this:

    4.2.3 -- The XML was invalid and nothing could be done.

This is essentially your standard syntax error message...

> B.5 Level 5 (Permanent Failures) Codes
>
>    5.0.0 -- Something undefined caused a permanent failure
>    5.1.0 -- An error in the query caused a permanent failure

Umm....This one doesn't make sense. Are you saying that a query
caused the server to never be available ever again?

This level of severity basically says that the state
that the status message says the server is in is permanent...
E.g. is there was a failure the client can assume that it can
remove this Server from the list of valid Servers for this Service...

>    5.2.0 -- The service had a permanent failure
>    5.2.1 -- This service is no longer available.
>       This service has decided to no longer make itself available.
>    5.2.2 -- This server had a permanent failure.
>         This server has permanently failed. Try another server from this
>       service.
>    5.2.3 -- This server is no longer available
>       This server has permanently failed or is no longer part of this
>       service. Any subsequent requests should be directed at another
>       server.

--
----------------------------------------------------------------------------
----
Michael Mealling        |      Vote Libertarian!       |
www.rwhois.net/michael
Sr. Research Engineer   |   www.ga.lp.org/gwinnett     | ICQ#:
14198821
Network Solutions       |          www.lp.org          |
[email-masked]